<id>
din1031:LoadStandardLanguage
</id>

<version>
1.0.2
</version>

<edit file>
$sourcedir/Load.php
</edit file>


<search for>
	// Keep track of what we're up to soldier.
	if ($db_show_debug === true)
		$context['debug']['language_files'][] = $template_name . '.' . $lang . ' (' . $theme_name . ')';
</search for>

<replace>
	// Keep track of what we're up to soldier.
	if ($db_show_debug === true)
		$context['debug']['language_files'][] = $template_name . '.' . $lang . ' (' . $theme_name . ')';
	
	//HELLO SMF DEVELOPER I THOUGHT THE ENGLISH MODIFICATION SHOULD BE LOADED INTO THE FILE index+Modifications!
	if($template_name != 'Modifications' && !isset($already_loaded['Modifications'])) 
		loadLanguage('Modifications');	

	// So this make it more i will say compatible to other languages, first load the english language ;D
	// It will also chache it if not allready done 8).
	global $modSettings;
	if(empty($modSettings['disableLoadStandardLanguage']) && $lang != 'english' && file_exists($settings['default_theme_dir'] . '/languages/' . $template_name . '.english.php')) {
		if (!file_exists($cachedir . '/lang_' . $template_name . '_english_' . $theme_name . '.php'))
		{
			require_once($sourcedir . '/ManageMaintenance.php');
			$do_include = cacheLanguage($template_name, 'english', $fatal, $theme_name);
		}
		// Otherwise just get the english chache file.
		else
			template_include($cachedir . '/lang_' . $template_name . '_english_' . $theme_name . '.php');
	}	
</replace>

<edit file>
$sourcedir/ManageSettings.php
</edit file>

<search for>
		'',
			// Who's online.
</search for>

<add before>
		'',
			// Disable Load Standard Language
			array('check', 'disableLoadStandardLanguage'),
</add before>

<search for>
	$context['post_url'] = $scripturl . '?action=admin;area=featuresettings;save;sa=layout';
</search for>

<add before>
	//Make 100% Language Compatible!
	if(!isset($txt['disableLoadStandardLanguage']))
		$txt['disableLoadStandardLanguage'] = 'Disable the Load Standard Language Function';
</add before>

<edit file>
$languagedir/Modifications.english.php
</edit file>

<search for>
?>
</search for>

<add before>
$txt['disableLoadStandardLanguage'] = 'Disable the Load Standard Language Function';
</add before>