<id>
din1031:LoadStandardLanguage
</id>

<version>
1.0.2
</version>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
	// Fallback on the default theme if necessary.
	$attempts[] = array($settings['default_theme_dir'], $template_name, $lang, $settings['default_theme_url']);
	$attempts[] = array($settings['default_theme_dir'], $template_name, $language, $settings['default_theme_url']);
</search for>

<add after>
	//Okay i should load each time the Standrad language and Replace it after again with other languages :)
	global $modSettings;
	if(empty($modSettings['disableLoadStandardLanguage']) && $lang != 'english' && file_exists($settings['default_theme_dir'] . '/languages/' . $template_name . '.english.php'))
		template_include($settings['default_theme_dir'] . '/languages/' . $template_name . '.english.php');
</add after>

<edit file>
$sourcedir/ModSettings.php
</edit file>

<search for>
		'',
			// Reactive on email, and approve on delete
</search for>

<add before>
		'',
			// Disable Load Standard Language
			array('check', 'disableLoadStandardLanguage'),
</add before>

<search for>
	$context['post_url'] = $scripturl . '?action=featuresettings2;save;sa=basic';
</search for>

<add before>
	//Make 100% Language Compatible!
	if(!isset($txt['disableLoadStandardLanguage']))
		$txt['disableLoadStandardLanguage'] = 'Disable the Load Standard Language Function';
</add before>

<edit file>
$languagedir/ModSettings.english.php
</edit file>

<search for>
?>
</search for>

<add before>
$txt['disableLoadStandardLanguage'] = 'Disable the Load Standard Language Function';
</add before>